Last modified: 2011-04-04 13:36:47 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15585 - Don't report changes to wikibugs-l when only the CC changes
Don't report changes to wikibugs-l when only the CC changes
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Bugzilla (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Priyanka Dhanda
: upstream
Depends on:
Blocks: 10842
  Show dependency treegraph
 
Reported: 2008-09-12 22:47 UTC by Mike.lifeguard
Modified: 2011-04-04 13:36 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch to Bugzilla/BugMail.pm to hack this (874 bytes, patch)
2008-12-12 22:43 UTC, Brion Vibber
Details

Description Mike.lifeguard 2008-09-12 22:47:56 UTC
When only the CC changes, there's probably no need to have that reported to wikibugs-l.
Comment 1 Danny B. 2008-09-13 00:15:35 UTC
Bug 10842 related.
Comment 2 Casey Brown 2008-09-13 16:19:29 UTC
(In reply to comment #0)
> When only the CC changes, there's probably no need to have that reported to
> wikibugs-l.
> 

I have no problem with this and after all... we get reports to wikibugs-l because we're watching "all bug changes".  If we remove the CC part, that's different.
Comment 3 Brion Vibber 2008-11-21 18:55:29 UTC
wikibugs-l itself is set not to receive CC-only changes for bugs it's assigned or CC'd to, but it's on 'globalwatchers' to receive *all* notifications, which doesn't seem to include an option to exclude them. May need to patch bugzilla to do this.
Comment 4 Brion Vibber 2008-12-12 22:41:02 UTC
Ok I'm testing a tweak for this. This item should show up since it has a comment.
Comment 5 Brion Vibber 2008-12-12 22:43:50 UTC
Created attachment 5575 [details]
Patch to Bugzilla/BugMail.pm to hack this

Marks globalwatchers internally as if they were CCs, so the email preferences on the user account will be taken into account, since there is no pref column for globalwatchers (https://bugzilla.mozilla.org/show_bug.cgi?id=365303)
Comment 6 Brion Vibber 2008-12-12 22:44:30 UTC
Seems to be doing the job. Yay!
Comment 7 Brion Vibber 2009-01-27 01:02:03 UTC
Just adding 'upstream' keyword for future reference.
Comment 8 OverlordQ 2010-01-26 08:15:11 UTC
Appears after the BZ update, CC-only changes are being sent to the mailing list again and thus in the related bug 10842 being spamming by wikibugs in #mediawiki

Be nice to get this redisabled.
Comment 9 Chad H. 2010-02-15 23:13:33 UTC
Checked in a patched version to /trunk/tools/Bugzilla-3.4.4 in r62556. Needs sync'ing to the live Bugzilla install.
Comment 10 Chad H. 2010-02-16 20:18:16 UTC
Priyanka sync'd the fix, seems to be working now. Resolving FIXED (again)
Comment 11 Danny B. 2011-04-04 13:34:49 UTC
CC's only reported on IRC again. Obviously after upgrade to BZ4. Reopening.
Comment 12 p858snake 2011-04-04 13:36:47 UTC
Reclosing, we already have 28402 open for this.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links